package com.fjhx.email.config.exception;

import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpStatus;
import lombok.Getter;

/**
 * 自定义异常
 */
@Getter
public class ServiceException extends RuntimeException {

    private final Integer errorCode;

    // 传入业务异常说明
    public ServiceException(String errorMsg, Object... params) {
        super(StrUtil.format(errorMsg, params));
        this.errorCode = HttpStatus.HTTP_BAD_REQUEST;
    }

}
