package com.fjhx.email.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 企业邮件正文
 * </p>
 *
 * @author zlj
 * @since 2023-04-11
 */
@Getter
@Setter
@TableName("enterprise_message_content")
public class EnterpriseMessageContent implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 邮件主表id
     */
    private Long messageId;

    /**
     * 内容
     */
    private String content;

    /**
     * 类型
     */
    private String mimeType;
}
