package com.fjhx.email.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fjhx.email.config.base.BaseEntity;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 企业邮箱文件夹
 * </p>
 *
 * @author zlj
 * @since 2023-04-06
 */
@Getter
@Setter
@TableName("enterprise_folder")
public class EnterpriseFolder extends BaseEntity {

    /**
     * 邮箱id
     */
    private String mailboxId;

    /**
     * 文件夹名称
     */
    private String name;

    /**
     * 上次同步邮件number
     */
    private Integer lastMessageNumber;

    /**
     * 上次同步邮件发送时间
     */
    private Date lastReceivedDate;

    /**
     * 同步邮件状态: 1同步 0不同步
     */
    private Integer syncStatus;
}
