package com.fjhx.email.entity.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class SendDto {

    /**
     * 1个人邮箱 2企业邮箱
     */
    private Integer type;

    /**
     * 邮箱id
     */
    private Long mailboxId;

    /**
     * 发送
     */
    private List<Address> to;

    /**
     * 抄送
     */
    private List<Address> cc;

    /**
     * 密送
     */
    private List<Address> bcc;

    /**
     * 回复
     */
    private List<Address> replyTo;

    /**
     * 标题
     */
    private String subject;

    /**
     * 正文
     */
    private String content;

    /**
     * 附件
     */
    private List<ObsFile> fileList;

    @Getter
    @Setter
    public static class Address {
        private String address;
        private String personal;
    }

}
